umbrello: umbrello/codeimport/phpimport.cpp File Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Namespaces | Typedefs | Functions | Variables
phpimport.cpp File Reference
`#include "phpimport.h"`
`#include "artifact.h"`
`#include "association.h"`
`#include "attribute.h"`
`#include "classifier.h"`
`#include "debug_utils.h"`
`#include "enum.h"`
`#include "import_utils.h"`
`#include "object_factory.h"`
`#include "operation.h"`
`#include "optionstate.h"`
`#include "package.h"`
`#include "template.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlobject.h"`
`#include <KLocalizedString>`
`#include <QListWidget>`
`#include <QMap>`
`#include <parser/parsesession.h>`
`#include <parser/phplexer.h>`
`#include <parser/phpparser.h>`
`#include <parser/phpdebugvisitor.h>`
`#include <parser/phpast.h>`
`#include <parser/tokenstream.h>`
`#include <parser/phptokentext.h>`
`#include <tests/autotestshell.h>`
`#include <language/duchain/duchain.h>`
`#include <language/duchain/problem.h>`
`#include <language/codegen/coderepresentation.h>`
`#include <language/editor/documentrange.h>`
`#include <tests/testcore.h>`

## Classes
class | Php::PHPIncludeFileVisitor
class | Php::PHPImportVisitor
class | DebugLanguageParserHelper< SessionT, TokenStreamT, TokenT, LexerT, StartAstT, DebugVisitorT, TokenTextT >
class | PHPImportPrivate

## Namespaces
namespace | Php

## Typedefs
typedef QMap< QString, QString > | Php::VariableMapping
typedef QString(* | TokenTextFunc) (int)
typedef DebugLanguageParserHelper< Php::ParseSession, Php::TokenStream, Php::Parser::Token, Php::Lexer, Php::StartAst, Php::DebugVisitor, Php::tokenText > | PhpParser

## Functions
QTextStream | qout (stdout)
QTextStream | qerr (stderr)
QTextStream | qin (stdin)

## Variables
const int | Php::NamespaceSize = 100

## Typedef Documentation

## ◆ PhpParser

typedef DebugLanguageParserHelper<Php::ParseSession, Php::TokenStream, Php::Parser::Token, Php::Lexer, Php::StartAst, Php::DebugVisitor, Php::tokenText> PhpParser

## ◆ TokenTextFunc

typedef QString(* TokenTextFunc) (int)

This class is a pure helper to use for binaries that you can run on short snippets of test code or whole files and let it print the generated tokens or AST.

It should work fine for any KDevelop-PG-Qt based parser.

Parameters

  SessionT | the parse session for your language.
  TokenStreamT | the token stream for your language, based on KDevPG::TokenStreamBase.
  TokenT | the token class for your language, based on KDevPG::Token.
  LexerT | the Lexer for your language.
  StartAstT | the AST node that is returned from `SessionT::parse()`.
  DebugVisitorT | the debug visitor for your language.
  TokenToTextT | function pointer to the function that returns a string representation for an integral token.

## Function Documentation

## ◆ qerr()

QTextStream qerr | ( | stderr |  | ) |

## ◆ qin()

QTextStream qin | ( | stdin |  | ) |

## ◆ qout()

QTextStream qout | ( | stdout |  | ) |